CHGRP(1)

NAME
chgrp - change group

SYNOPSIS
chgrp [ -R [-H | -L | -P]] [-fh] group files ...

DESCRIPTION
The chgrp utility sets the group ID of the file named by each file operand to the group ID specified by the group operand.

Options:

-H  If the -R option is specified, symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)

-L  If the -R option is specified, all symbolic links are followed.

-P  If the -R option is specified, no symbolic links are followed.

-R  Change the group ID for the file hierarchies rooted in the files instead of just the files themselves.

-f  The force option ignores errors, except for usage errors and doesn't query about strange modes (unless the user does not have proper permissions).

-h  If file is a symbolic link, the group of the link is changed.

If -h is not given, unless the -H or -L option is set, chgrp on a symbolic link always succeeds and has no effect. The -H, -L and -P options are ignored unless the -R option is specified. In addition, these options override each other and the command's actions are determined by the last one specified.

The group operand can be either a group name from the group database, or a numeric group ID. If a group name is also a numeric group ID, the operand is used as a group name.

The user invoking chgrp must belong to the specified group and be the owner of the file, or be the super-user.

Unless invoked by the super-user, chgrp clears the set-user-id and set-group-id bits on a file to prevent accidental or mischievous creation of set-user-id or set-group-id programs.

The chgrp utility exits 0 on success, and >0 if an error occurs.

FILES
/etc/group
    Group ID file

SEE ALSO
chown(2), lchown(2), fts(3), group(5), passwd(5), symlink(7), chown(8)

STANDARDS
The chgrp utility is expected to be POSIX 1003.2 compatible.